v1-platform
Continuous Score Drift
Continuous Score Drift
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/score-drift \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/score-drift"
payload = {
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/continuous-evaluation/score-drift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"axes": [
{
"axis": "<string>",
"score": {
"current": 123,
"delta": 123,
"prior": 123
},
"band_changed": true,
"current_band_id": "<string>",
"current_band_label": "<string>",
"label": "<string>",
"prior_band_id": "<string>",
"prior_band_label": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"current_versions": {
"adaptive_policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experience_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guardrail_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scorecard_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"cycle_number": 2,
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_prior": true,
"primary": {
"numeric": {
"current": 123,
"delta": 123,
"prior": 123
},
"band_changed": true,
"current": {},
"numeric_field": "<string>",
"prior": {},
"status_changed": true
},
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence_delta": {},
"coverage_delta": {},
"prior_completed_at": "2023-11-07T05:31:56Z",
"prior_evaluation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prior_versions": {
"adaptive_policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experience_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guardrail_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scorecard_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Continuous Score Drift
